%%This is a part of multi-layered random forest (MLRF) framework

%convert symbols to numeric representation
function [Ynum,code] = char2num(Y,v)

    if ~exist('v','var')
        v = 'abcdefghiklmnopqrstuvwxy';
    end
    
    Ynum = zeros(size(Y));
    
    for i=1:length(v)
        Ynum(Y == v(i)) = i;
    end
    
    code = v;

end